-- V 1.0  prise en compte du temoin provisoire pour un num insee dans geisha


PROMPT <?xml version="1.0" encoding="iso-8859-1" ?><IMPORT>
PROMPT <INDIVIDUS>

SELECT XMLElement("INDIVIDU",
			XMLFOREST(
				I.NO_INDIVIDU "ID_SOURCE",
				C_CIVILITE "CIVILITE",
				I.NOM_USUEL "NOM_USUEL",
				I.PRENOM "PRENOM",
				PRENOM2 "PRENOM2",
				I.NOM_USUEL "NOM_AFFICHAGE",
				I.PRENOM "PRENOM_AFFICHAGE",
				NOM_PATRONYMIQUE "NOM_PATRONYMIQUE",
				NOM_PATRONYMIQUE "NOM_PATRONYMIQUE_AFFICHAGE",
				I.D_NAISSANCE "DATE_NAISSANCE",
				DECODE (I.C_COMMUNE_NAISSANCE,NULL,I.VILLE_DE_NAISSANCE,C.LIBELLE_COMMUNE) "VILLE_NAISSANCE",
				C_DEPT_NAISSANCE "DPT_NAISSANCE",
				C_PAYS_NAISSANCE "PAYS_NAISSANCE",
				C_PAYS_NATIONNALITE "PAYS_NATIONALITE",
				C_SIT_MILITAIRE "SIT_MILITAIRE",
				C_SITUATION_FAMILLE "SIT_FAMILLE",
				DECODE(CLE_INSEE,NULL,'',NO_INSEE) "NO_INSEE",
				CLE_INSEE "CLE_INSEE",
				DECODE(CLE_INSEE,NULL,NO_INSEE,'') "NO_INSEE_PROV",
				NUMEN "NUMEN",
				'0' "NB_ENFANTS",
				'O' "TEM_PERSONNEL",
				DECODE(CLE_INSEE,NULL,'P','R') "PRISE_CPT_INSEE",
				DECODE(D_TITULARISATION,NULL,'N','O') "TEM_TITULAIRE"))
   FROM INDIVIDU I, PERSONNEL P, CODE_INSEE CI, COMMUNE C 
   WHERE I.NO_INDIVIDU = P.NO_DOSSIER_PERS
   AND CI.NO_DOSSIER_PERS = P.NO_DOSSIER_PERS
   AND I.C_COMMUNE_NAISSANCE = C.C_COMMUNE (+) ;
   
SELECT XMLElement("INDIVIDU",
			XMLFOREST(
   				I.NO_INDIVIDU "ID_SOURCE",
				C_CIVILITE "CIVILITE",
				I.NOM_USUEL "NOM_USUEL",
				I.PRENOM "PRENOM",
				PRENOM2 "PRENOM2",
				I.NOM_USUEL "NOM_AFFICHAGE",
				I.PRENOM "PRENOM_AFFICHAGE",
				NOM_PATRONYMIQUE "NOM_PATRONYMIQUE",
				NOM_PATRONYMIQUE "NOM_PATRONYMIQUE_AFFICHAGE",
				I.D_NAISSANCE "DATE_NAISSANCE",
				DECODE (I.C_COMMUNE_NAISSANCE,NULL,I.VILLE_DE_NAISSANCE,C.LIBELLE_COMMUNE) "VILLE_NAISSANCE",
				C_DEPT_NAISSANCE "DPT_NAISSANCE",
				C_PAYS_NAISSANCE "PAYS_NAISSANCE",
				C_PAYS_NATIONNALITE "PAYS_NATIONALITE",
				C_SIT_MILITAIRE "SIT_MILITAIRE",
				C_SITUATION_FAMILLE "SIT_FAMILLE",
				DECODE(TEM_PROVISOIRE,'O','',NO_INSEE) "NO_INSEE",
				CLE_INSEE "CLE_INSEE",
				-- DECODE(CLE_INSEE,NULL,CLE_INSEE,'0',NO_INSEE,'') "NO_INSEE_PROV",
				DECODE(TEM_PROVISOIRE,'O',NO_INSEE,'') "NO_INSEE_PROV",
				NUMEN "NUMEN",
				'0' "NB_ENFANTS",
				'O' "TEM_PERSONNEL",
				DECODE(CLE_INSEE,NULL,'P','R') "PRISE_CPT_INSEE",
				DECODE(D_TITULARISATION,NULL,'N','O') "TEM_TITULAIRE"))
   FROM INDIVIDU I, PERSONNEL P, GEI_ADM.INSEE_IE CI, COMMUNE C 
   WHERE I.NO_INDIVIDU = P.NO_DOSSIER_PERS (+)
   AND CI.NO_INDIVIDU = I.NO_INDIVIDU
   AND I.C_COMMUNE_NAISSANCE = C.C_COMMUNE (+) 
   AND I.NO_INDIVIDU NOT IN (SELECT NO_DOSSIER_PERS FROM CODE_INSEE);
   
PROMPT </INDIVIDUS>
PROMPT </IMPORT>